<p align="center">
  <img src="images/gleam-logo-readme.png" alt="Gleam logo">
</p>

<p align="center">
  <a href="https://github.com/gleam-lang/gleam/releases"><img src="https://img.shields.io/github/release/gleam-lang/gleam" alt="GitHub release"></a>
  <a href="https://discord.gg/Fm8Pwmy"><img src="https://img.shields.io/discord/768594524158427167?color=blue" alt="Discord chat"></a>
  <a><img src="https://github.com/gleam-lang/gleam/workflows/ci/badge.svg?branch=main"></a>
  <a href="https://gitpod.io/#https://github.com/gleam-lang/gleam"><img src="https://img.shields.io/badge/Gitpod-ready--to--code-blue?logo=gitpod"></a>
</p>


<!-- A spacer -->
<div>&nbsp;</div>

Gleam is a friendly language for building type-safe, scalable systems!

It compiles to [Erlang](http://www.erlang.org/) (or JavaScript) and has straightforward interop
with other BEAM languages such as Erlang, Elixir, and LFE.

For more information see the Gleam website: [https://gleam.run](https://gleam.run).

## Sponsors

Gleam is kindly supported by its sponsors. If you would like to support Gleam
please consider sponsoring its development [on GitHub](https://github.com/sponsors/lpil).

Thank you to our sponsors! Gleam would not be possible without you.

<center>
  <a href="https://fly.io/"><img width=250 src="https://gleam.run/images/sponsors/fly.svg" alt="Fly.io"></a>
</center>

<!-- Below this line this file is autogenerated -->

 - [Aaron Gunderson](https://github.com/agundy)
 - [Adam Brodzinski](https://github.com/AdamBrodzinski)
 - [Adi Iyengar](https://github.com/thebugcatcher)
 - [Alembic](https://alembic.com.au)
 - [Alex Manning](https://github.com/rawhat)
 - [Alexander Koutmos](https://github.com/akoutmos)
 - [Alexandre Del Vecchio](https://github.com/defgenx)
 - [Ali Farhadi](https://github.com/farhadi)
 - [Anthony Khong](https://github.com/anthony-khong)
 - [Anthony Scotti](https://github.com/amscotti)
 - [Arnaud Berthomier](https://github.com/oz)
 - [Arno Dirlam](https://github.com/arnodirlam)
 - [Ben Marx](https://github.com/bgmarx)
 - [Ben Myles](https://github.com/benmyles)
 - [brettkolodny](https://github.com/brettkolodny)
 - [Brian Glusman](https://github.com/bglusman)
 - [Bruno Michel](https://github.com/nono)
 - [Bryan Paxton](https://github.com/starbelly)
 - [Carlos Saltos](https://github.com/csaltos)
 - [Charlie Duong](https://github.com/charlieduong94)
 - [Chew Choon Keat](https://github.com/choonkeat)
 - [Chris Lloyd](https://github.com/chrislloyd)
 - [Chris Young](https://github.com/worldofchris)
 - [Christopher Keele](https://github.com/christhekeele)
 - [clangley](https://github.com/clangley)
 - [Clay](https://github.com/connorlay)
 - [Cole Lawrence](https://github.com/colelawrence)
 - [Colin](https://github.com/insanitybit)
 - [Copple](https://github.com/kiwicopple)
 - [Cristine Guadelupe](https://github.com/cristineguadelupe)
 - [Damir Vandic](https://github.com/dvic)
 - [Dan Dresselhaus](https://github.com/ddresselhaus)
 - [Dan Mueller](https://github.com/unthought)
 - [Dave Lucia](https://github.com/davydog187)
 - [David Armstrong Lewis](https://github.com/davidarmstronglewis)
 - [David Bernheisel](https://github.com/dbernheisel)
 - [David Flanagan](https://github.com/rawkode)
 - [Dmitry Matveyev](https://github.com/greenfork)
 - [Edon Gashi](https://github.com/edongashi)
 - [Elliott Pogue](https://github.com/epogue)
 - [Eric Meadows-Jönsson](https://github.com/ericmj)
 - [Erik Terpstra](https://github.com/eterps)
 - [Fernando Farias](https://github.com/nandofarias)
 - [Filip Figiel](https://github.com/megapctr)
 - [Florian Kraft](https://github.com/floriank)
 - [fly.io](https://github.com/superfly)
 - [Graeme Coupar](https://github.com/obmarg)
 - [Guilherme de Maio](https://github.com/nirev)
 - [Gustavo Villa](https://github.com/gfvcastro)
 - [Harry Bairstow](https://github.com/HarryET)
 - [Hayleigh Thompson](https://github.com/hayleigh-dot-dev)
 - [Henry Warren](https://github.com/henrysdev)
 - [human154](https://github.com/human154)
 - [Ian González](https://github.com/Ian-GL)
 - [Ingmar Gagen](https://github.com/igagen)
 - [inoas](https://github.com/inoas)
 - [Ivar Vong](https://github.com/ivarvong)
 - [James MacAulay](https://github.com/jamesmacaulay)
 - [Jan Skriver Sørensen](https://github.com/monzool)
 - [Jen Stehlik](https://github.com/okkdev)
 - [jiangplus](https://github.com/jiangplus)
 - [John Gallagher](https://github.com/johngallagher)
 - [John Palgut](https://github.com/Jwsonic)
 - [Jonathan Arnett](https://github.com/J3RN)
 - [josh rotenberg](https://github.com/joshrotenberg)
 - [José Valim](https://github.com/josevalim)
 - [Josías Alvarado](https://github.com/pointerish)
 - [João Veiga](https://github.com/jveiga)
 - [Julien D](https://github.com/silicium14)
 - [Justin Blake](https://github.com/blaix)
 - [Kapp Technology](https://github.com/kapp-technology)
 - [Kayla Washburn](https://github.com/aslilac)
 - [Kieran Gill](https://github.com/kierangilliam)
 - [Lars Wikman](https://github.com/lawik)
 - [lidashuang](https://github.com/defp)
 - [Manuel Rubio](https://github.com/manuel-rubio)
 - [Marcel Lanz](https://github.com/marcellanz)
 - [Marcin Puc](https://github.com/tranzystorek-io)
 - [Marius Kalvø](https://github.com/mariuskalvo)
 - [Mark Holmes](https://github.com/markholmes)
 - [Mark Markaryan](https://github.com/markmark206)
 - [Markus](https://github.com/markusfeyh)
 - [Martin Janiczek](https://github.com/Janiczek)
 - [Mathias Jean Johansen](https://github.com/majjoha)
 - [Matt Van Horn](https://github.com/mattvanhorn)
 - [Max Lee](https://github.com/jechol)
 - [Michael Chris Lopez](https://github.com/mcchrish)
 - [Michael Jones](https://github.com/michaeljones)
 - [Michał Kowieski](https://github.com/utevo)
 - [Michał Łępicki](https://github.com/michallepicki)
 - [Michele Riva](https://github.com/micheleriva)
 - [Mike Lapping](https://github.com/mlapping)
 - [Mike Roach](https://github.com/mroach)
 - [Milton Mazzarri](https://github.com/milmazz)
 - [mklifo](https://github.com/mklifo)
 - [Nathaniel Knight](https://github.com/nathanielknight)
 - [Nick Reynolds](https://github.com/ndreynolds)
 - [Nicklas Sindlev Andersen](https://github.com/NicklasXYZ)
 - [NineFX](http://www.ninefx.com)
 - [OldhamMade](https://github.com/OldhamMade)
 - [Ole Michaelis](https://github.com/OleMchls)
 - [Oliver Searle-Barnes](https://github.com/opsb)
 - [ontofractal](https://github.com/ontofractal)
 - [paca94](https://github.com/paca94)
 - [Parker Selbert](https://github.com/sorentwo)
 - [Pete Jodo](https://github.com/petejodo)
 - [porkbrain](https://github.com/bausano)
 - [Praveen Perera](https://github.com/praveenperera)
 - [qingliangcn](https://github.com/qingliangcn)
 - [Quinn Wilton](https://github.com/QuinnWilton)
 - [Raúl Chouza ](https://github.com/chouzar)
 - [Redmar Kerkhoff](https://github.com/redmar)
 - [Reio Piller](https://github.com/hypno2000)
 - [Rico Leuthold](https://github.com/rico)
 - [Robert Attard](https://github.com/TanklesXL)
 - [Robert Ellen](https://github.com/rellen)
 - [Rodrigo Oler](https://github.com/rodrigooler)
 - [Ryan Winchester](https://github.com/ryanwinchester)
 - [Sam Aaron](https://github.com/samaaron)
 - [Sascha Wolf](https://github.com/sascha-wolf)
 - [Saša Jurić](https://github.com/sasa1977)
 - [Scott Wey](https://github.com/scottwey)
 - [Sean Jensen-Grey](https://github.com/seanjensengrey)
 - [Sebastian Porto](https://github.com/sporto)
 - [Seve Salazar](https://github.com/tehprofessor)
 - [Shunji Lin](https://github.com/shunjilin)
 - [Shuqian Hon](https://github.com/honsq90)
 - [Signal Insights](https://github.com/signalinsights)
 - [Simone Vittori](https://github.com/simonewebdesign)
 - [Stefan Luptak](https://github.com/stefanluptak)
 - [Steven Joseph](https://github.com/jagguli)
 - [Strand Communications](https://github.com/strandcom)
 - [Szymon Wygnański](https://github.com/finalclass)
 - [Terje Bakken](https://github.com/terkiterje)
 - [Tomasz Kowal](https://github.com/tomekowal)
 - [Tomochika Hara](https://github.com/thara)
 - [Tristan de Cacqueray](https://github.com/TristanCacqueray)
 - [Tristan Sloughter](https://github.com/tsloughter)
 - [Uku Taht](https://github.com/ukutaht)
 - [Vincent Le Goff](https://github.com/vincent-lg)
 - [Weizheng Liu](https://github.com/weizhliu)
 - [Wilson Silva](https://github.com/wilsonsilva)
 - [Wojtek Mach](https://github.com/wojtekmach)
 - [YourMother-really](https://github.com/YourMother-really)
 - [Yu Matsuzawa](https://github.com/ymtszw)
 - [zaatas](https://github.com/zaatas)
 - [Zsombor Gasparin](https://github.com/gasparinzsombor)
